Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython2.PDF3DAnnot Class Reference

This class represents PDF 3D annotation. More...

Inheritance diagram for FoxitPDFSDKPython2.PDF3DAnnot:

## Public Member Functions
def | PDF3DAnnot (other)
| Constructor, with another 3d annot object. More...
def | Get3DAnnotType ()
| Get the type of 3D annot. More...
def | Get3DArtworkInstance ()
| Get the instance of 3D Artwork. More...
def | GetAnnot ()
| Get associated annotation. More...
def | GetAnnotIndex ()
| Get the annotation index corresponding to 3d annot. More...
def | GetRichMediaInstances ()
| Get the instance array of rich media. More...
def | IsEmpty ()
| Check whether current object is empty or not. More...

## Static Public Attributes
| e_3DTypeArtwork = _fsdk.PDF3DAnnot_e_3DTypeArtwork
| 3D Artwork.
| e_3DTypeRichMedia = _fsdk.PDF3DAnnot_e_3DTypeRichMedia
| Rich Media .

## Detailed Description

This class represents PDF 3D annotation.

## Constructor & Destructor Documentation

## ◆ PDF3DAnnot()

def FoxitPDFSDKPython2.PDF3DAnnot.PDF3DAnnot | ( |  | other | ) |

Constructor, with another 3d annot object.

Parameters

  [in] | other | Another 3d annot object.

## Member Function Documentation

## ◆ Get3DAnnotType()

def FoxitPDFSDKPython2.PDF3DAnnot.Get3DAnnotType | ( |  | ) |

Get the type of 3D annot.

Returns
  The type of 3D annot. Please refer to values starting from FoxitPDFSDKPython2.PDF3DAnnot.e_3DTypeArtwork and this will be one of these values.

## ◆ Get3DArtworkInstance()

def FoxitPDFSDKPython2.PDF3DAnnot.Get3DArtworkInstance | ( |  | ) |

Get the instance of 3D Artwork.

If the 3D annot type is not FoxitPDFSDKPython2.PDF3DAnnot.e_3DTypeArtwork , an empty object will be returned.

Returns
  An 3d instance object.

## ◆ GetAnnot()

def FoxitPDFSDKPython2.PDF3DAnnot.GetAnnot | ( |  | ) |

Get associated annotation.

Returns
  An annotation object.

## ◆ GetAnnotIndex()

def FoxitPDFSDKPython2.PDF3DAnnot.GetAnnotIndex | ( |  | ) |

Get the annotation index corresponding to 3d annot.

Returns
  The index of annotation.

## ◆ GetRichMediaInstances()

def FoxitPDFSDKPython2.PDF3DAnnot.GetRichMediaInstances | ( |  | ) |

Get the instance array of rich media.

If the 3D annot type is not FoxitPDFSDKPython2.PDF3DAnnot.e_3DTypeRichMedia , an empty array will be returned.

Returns
  An 3d instance objects array.

## ◆ IsEmpty()

def FoxitPDFSDKPython2.PDF3DAnnot.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.